Bug 174798 - RFE: Handle numeric syscall specification
RFE: Handle numeric syscall specification
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
: FutureFeature
Depends On:
Blocks: 173986
  Show dependency treegraph
Reported: 2005-12-02 06:34 EST by Dmitry V. Levin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.5.14
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-03 04:49:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace-4.5.13-alt-qual_syscall.patch (1.12 KB, patch)
2005-12-02 06:35 EST, Dmitry V. Levin
no flags Details | Diff

  None (edit)
Description Dmitry V. Levin 2005-12-02 06:34:11 EST
I suggest to add numeric syscall specification support, e.g.
strace -e trace=1,252
Comment 1 Dmitry V. Levin 2005-12-02 06:35:53 EST
Created attachment 121737 [details]

Proposed implementation.
Comment 2 Roland McGrath 2006-01-12 04:42:59 EST
Good feature and simple, I've put it in.  Thanks.
Comment 3 Roland McGrath 2006-04-03 04:49:43 EDT
Done in fc5 and fc4 update.
Comment 4 Bob Johnson 2006-04-11 12:16:17 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Note You need to log in before you can comment on or make changes to this bug.